### Method

# Cogl Framebuffer set_dither_enabled

#### Declaration [src]

    void
    cogl_framebuffer_set_dither_enabled (
      CoglFramebuffer* framebuffer,
      gboolean dither_enabled
    )

#### Description [src]

Enables or disabled dithering if supported by the hardware.

Dithering is a hardware dependent technique to increase the visible color resolution beyond what the underlying hardware supports by playing tricks with the colors placed into the framebuffer to give the illusion of other colors. (For example this can be compared to half-toning used by some news papers to show varying levels of grey even though their may only be black and white are available).

If the current display pipeline for `framebuffer` does not support dithering then this has no affect.

Dithering is enabled by default.

#### Parameters

`dither_enabled`

  Type: `gboolean`

  `TRUE` to enable dithering or `FALSE` to disable.